Program Bones;
Const MaxSum=21;
Var SumYour,
    SumComp,
    count:byte;
    reply:string;
    label 1;
Begin
   1:SumYour:=0;
     SumComp:=0;
     Randomize;
     repeat
           Write('Бросить кость для Вас?(y/n)');
           repeat
                 Readln(reply);
           until (reply='y') or (reply='Y') or (reply='n') or (reply='N');
           if (reply='y') or (reply='Y') then
              begin
              count:=Random(6)+1;
              Writeln('Выпало ',count,' очков.');
              SumYour:=SumYour+count;
              Writeln('У Вас всего ',SumYour,' очков.');
              if SumYour>=MaxSum then Break
              end;
           if SumComp<18 then
              begin
              count:=Random(6)+1;
              Writeln('Мне выпало ',count,' очков.');
              SumComp:=SumComp+count;
              Writeln('У меня всего ',SumComp,' очков.');
              end
           else begin
                Write('Я пас. Бутете продолжать?(y/n)');
                repeat
                      Read(reply)
                until (reply='y') or (reply='Y') or (reply='n') or (reply='N');
                if (reply='n') or (reply='N') then Break
                end
     until false;
     if SumYour>MaxSum then Writeln('Вы проиграли!')
        else if SumComp>MaxSum then Writeln('Я проиграл!')
             else if SumYour<SumComp then Writeln('Я выиграл!')
                  else if SumYour=SumComp then Writeln('Ничья!')
                       else Writeln('Вы выиграли!');
     Writeln('Будете ещё раз играть?(y/n)');
     repeat
           Readln(reply);
     until (reply='y') or (reply='Y') or (reply='n') or (reply='N');
           if (reply='y') or (reply='Y') then goto 1;
     Readln
end.

